Skip to main content
GET
/
key_link
/
signing_keys
TypeScript
const response: Promise<FireblocksResponse<GetSigningKeyResponseDto>> = fireblocks.keyLinkBeta.getSigningKeysList(keyLinkBetaApiGetSigningKeysListRequest);
{
  "data": [
    {
      "keyId": "46a92767-5f93-4a46-9eed-f012196bb4fc",
      "signingDeviceKeyId": "MyKey1",
      "publicKeyPem": "-----BEGIN PUBLIC KEY ... END PUBLIC KEY-----",
      "algorithm": "ECDSA_SECP256K1",
      "enabled": true,
      "vaultAccountId": 10,
      "agentUserId": "d18847b5-1df6-4c46-8f99-5cce47284529",
      "createdAt": 124757537
    }
  ],
  "next": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

pageCursor
string

Cursor to the next page

pageSize
number
default:10

Amount of results to return in the next page

Required range: 1 <= x <= 50
sortBy
enum<string>
default:createdAt

Field(s) to use for sorting

Available options:
createdAt
order
enum<string>
default:ASC

Is the order ascending or descending

Available options:
ASC,
DESC
vaultAccountId
number

Return keys assigned to a specific vault

agentUserId
string

Return keys associated with a specific agent user

algorithm
enum<string>

Return only keys with a specific algorithm

Available options:
ECDSA_SECP256K1,
EDDSA_ED25519
enabled
boolean

Return keys that have been proof of ownership

available
boolean

Return keys that are proof of ownership but not assigned. Available filter can be used only when vaultAccountId and enabled filters are not set

isAssigned
boolean | null

Return keys that are assigned to a vault account

keyPrefix
string

A case-insensitive prefix filter that matches records where either keyId or signingDeviceKeyID starts with the specified value.

Response

List of signing keys and a data that allows requesting the next page if applicable

data
object[]
required

Response object for getting external signing keys.

next
string

The ID of the next page